Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Bus.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Bus.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Bus.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,6 @@
+export interface Bus {
+  id: number,
+  registracija: string,
+  seriskiBroj: string,
+  brojSedishta: number
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Direction.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Direction.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Direction.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,5 @@
+export interface Direction {
+  id: number,
+  pravec: string,
+  opis: string
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/FinesPerLine.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/FinesPerLine.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/FinesPerLine.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,7 @@
+import {Line} from "./Line";
+
+export interface FinesPerLine {
+  id: number,
+  line: Line,
+  count: number,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Line.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Line.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Line.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,4 @@
+export interface Line {
+  id: number,
+  ime: string
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/LineDirection.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/LineDirection.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/LineDirection.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,8 @@
+import {Line} from "./Line";
+import {Direction} from "./Direction";
+
+export interface LineDirection {
+  linija: Line;
+  pravec: Direction;
+  id: number;
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/LineStation.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/LineStation.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/LineStation.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,11 @@
+import {Line} from "./Line";
+import {Station} from "./Station";
+import {Direction} from "./Direction";
+
+export interface LineStation {
+  id: number,
+  redenBroj: number,
+  linija: Line,
+  postojka: Station,
+  pravec: Direction,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/PieChartValues.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/PieChartValues.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/PieChartValues.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,4 @@
+export interface PieChartValues {
+  value: number;
+  name: string;
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Station.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Station.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Station.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,7 @@
+export interface Station {
+  id: number,
+  ime: string,
+  lat: number,
+  lon: number,
+  opis: string,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Tipbilet.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Tipbilet.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/Tipbilet.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,6 @@
+export interface Tipbilet{
+  id: number,
+  trajnost: number,
+  cena: number,
+  ime: string
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/AuthRequest.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/AuthRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/AuthRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,4 @@
+export interface AuthRequest {
+  email: string,
+  password: string,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/FineRequest.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/FineRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/FineRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,10 @@
+export interface FineRequest {
+   iznos: number,
+   plateno: boolean,
+   dokument: string,
+   kontrolaId: number,
+   telefon: string | undefined,
+   ime: string | undefined,
+   adresa: string | undefined,
+   patnikId: number | undefined,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/RegisterRequest.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/RegisterRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/RegisterRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,8 @@
+export interface RegisterRequest {
+  email: string;
+  password: string;
+  confirmPassword: string;
+  name: string;
+  address: string;
+  phoneNumber: string;
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/StartCommuteRequest.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/StartCommuteRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/StartCommuteRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,5 @@
+export interface StartCommuteRequest {
+  ticketId: number;
+  routeInstanceId: number;
+  stationId: number;
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/StartRouteInstanceRequest.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/StartRouteInstanceRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/StartRouteInstanceRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,5 @@
+export interface StartRouteInstanceRequest {
+  lineId: number,
+  busId: number,
+  directionId: number,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/TicketBuyRequest.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/TicketBuyRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/requests/TicketBuyRequest.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,3 @@
+export interface TicketBuyRequest {
+  type: number
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/AdminUsersResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/AdminUsersResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/AdminUsersResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,8 @@
+export interface AdminUsersResponse {
+  email: string
+  name: string
+  address: string
+  phoneNumber: string
+  id: number
+  roles: string[]
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/AuthResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/AuthResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/AuthResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,3 @@
+export interface AuthResponse {
+  token: string
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/CommuteResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/CommuteResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/CommuteResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,13 @@
+import {TicketResponse} from "./TicketResponse";
+import {UserResponse} from "./UserResponse";
+import {LineStation} from "../LineStation";
+
+export interface CommuteResponse {
+commuter: UserResponse,
+   ticket: TicketResponse,
+   stationStart: LineStation,
+   status: String,
+   startDate: Date,
+   endDate: Date | null,
+   id: number,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/ControlsResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/ControlsResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/ControlsResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,9 @@
+import {UserResponse} from "./UserResponse";
+import {RouteInstanceResponse} from "./RouteInstanceResponse";
+
+export interface ControlsResponse {
+  id: number,
+  dateCreated: Date,
+  kondukter: UserResponse,
+  instancaNaLinija: RouteInstanceResponse,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/FineResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/FineResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/FineResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,17 @@
+import {UserResponse} from "./UserResponse";
+import {ControlsResponse} from "./ControlsResponse";
+
+export interface FineResponse {
+    id: number,
+    iznos: number,
+    plateno: boolean,
+     dateCreated: Date,
+    datePayed: Date | undefined,
+    dokument: string,
+     kondukter: UserResponse,
+     kontrola: ControlsResponse,
+     patnik: UserResponse | undefined,
+    telefon: string | undefined,
+    ime: string | undefined,
+    adresa: string | undefined,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/RouteInstanceResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/RouteInstanceResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/RouteInstanceResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,14 @@
+import {Bus} from "../Bus";
+import {Direction} from "../Direction";
+import {Line} from "../Line";
+import {UserResponse} from "./UserResponse";
+
+export interface RouteInstanceResponse {
+  bus: Bus,
+  direction: Direction,
+  line: Line,
+  driver: UserResponse,
+  start: Date,
+  end: Date | undefined,
+  id: number
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/TicketResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/TicketResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/TicketResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,9 @@
+import {Tipbilet} from "../Tipbilet";
+
+export interface TicketResponse {
+  id: number,
+  datumKupuvanje: Date,
+  datumAktivacija: Date | undefined,
+  status: string,
+  tip: Tipbilet,
+}
Index: bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/UserResponse.ts
===================================================================
--- bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/UserResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
+++ bus-n-go-pavel-216049/bus-n-go-frontend/src/app/model/responses/UserResponse.ts	(revision baf4cc4b66f1d62e9dc9c2e71bcc078c9c3956a3)
@@ -0,0 +1,7 @@
+export interface UserResponse {
+  email: string
+  name: string
+  address: string
+  phoneNumber: string
+  id: number
+}
